<?

	/* 帳號與密碼等設定 */
	
	$host = "localhost";
   	$user = "root";
   	$pass = "";   
   	$database = "";


/*************************************************
功能說明:SQL查詢A(適合 INSERT、UPDATE、DELETE 之類)
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:SQL語法字串
輸入格式:字串
輸出格式:執行結果(布林)
其他補充:無
**************************************************/
function sql_a($query)
{	
	global $host,$user,$pass,$database;
   	
   	$conn=@mysql_connect( $host, $user, $pass);	
	@mysql_select_db($database,$conn);
	$result = @mysql_query($query);
	@mysql_close($conn);
		
	return $result;
}

/*************************************************
功能說明:SQL查詢B(適合 SELECT 之類的)
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:SQL語法字串
輸入格式:字串
輸出格式:執行結果(布林)
其他補充:無
**************************************************/
function sql_b($query)
{
	global $host,$user,$pass,$database;
	   	
	$conn=@mysql_connect( $host, $user, $pass );
	$result=@mysql_db_query( $database, $query, $conn);	
	@mysql_data_seek($result,0);
	while($row=@mysql_fetch_row($result))
	{        
        	$output[] = $row;	
	} 		              	
	@mysql_free_result($result);
	@mysql_close($conn);
	
	return $output;
}

/*************************************************
功能說明:SQL查詢I(適合 INSERT 且是自動產生編號的)
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:SQL語法字串
輸入格式:字串
輸出格式:執行結果(布林) / 新增的流水號
其他補充:無
**************************************************/
function sql_i($query)
{	
	global $host,$user,$pass,$database;
   	
   	$conn=@mysql_connect( $host, $user, $pass);	
	@mysql_select_db($database,$conn);
	$result = @mysql_query($query);
	$result = @mysql_insert_id();
	@mysql_close($conn);
		
	return $result;
}

?>